Skip to main content

Country Access

Ülke erişim yönetimi endpoint'leri.


Ülke Erişimi Getir

Kullanıcının izin verilen ülkelerini getirir.

Authentication
  • x-auth (tenant-id)
HTTP Request

GET /admin/country-access

Request Parameters
FieldTypeRequiredDefaultDesc
userIdstringtrue-Kullanıcı ID
countryCodestringfalse-Ülke kodu filtresi
Response Parameters
FieldTypeNullableDesc
countryCodestringfalseÜlke kodu
countryNamestringfalseÜlke adı
isActivebooleanfalseAktif durumu
Response Body Example
[
{
"countryCode": "TR",
"countryName": "Türkiye",
"isActive": true
},
{
"countryCode": "DE",
"countryName": "Almanya",
"isActive": true
}
]

Ülke Erişimi Ekle

Kullanıcıya ülke erişimi ekler.

Authentication
  • x-auth (tenant-id)
HTTP Request

POST /admin/country-access

Request Parameters
FieldTypeRequiredDefaultDesc
userIdstringtrue-Kullanıcı ID
countryCodestringtrue-Eklenecek ülke kodu
Request Body Example
{
"userId": "123",
"countryCode": "FR"
}
Response Parameters
FieldTypeNullableDesc
idstringtrueOluşturulan kayıt ID
countryCodestringtrueEklenen ülke kodu
countryNamestringtrueEklenen ülke adı
İşlem Akışı
  1. Kullanıcının varlığı ve telefon numarası kontrol edilir
  2. Ülke erişim kaydı eklenir
  3. Bildirimler gönderilir:
    • Uygulama içi bildirim (kod: 'geoFilterAdded')
    • E-posta bildirimi (GEOFILTER şablonundan)
    • SMS bildirimi

Ülke Erişimi Sil

Kullanıcının ülke erişimini kaldırır.

Authentication
  • x-auth (tenant-id)
HTTP Request

POST /admin/delete-country-access

Request Parameters
FieldTypeRequiredDefaultDesc
userIdstringtrue-Kullanıcı ID
countryCodestringtrue-Silinecek ülke kodu
Request Body Example
{
"userId": "123",
"countryCode": "FR"
}
Response Parameters
FieldTypeNullableDesc
countryCodestringtrueSilinen ülke kodu
countryNamestringtrueSilinen ülke adı
İşlem Akışı
  1. Kullanıcının varlığı ve telefon numarası kontrol edilir
  2. IP adresinden mevcut ülke kodu alınır
  3. Ülke erişim kaydı silinir
  4. Bildirimler gönderilir:
    • Uygulama içi bildirim (kod: 'geoFilterDeleted')
    • E-posta bildirimi (GEOFILTER şablonundan)
    • SMS bildirimi